%global pypi_name txaio
%global commitId 91dace6ad1ddef3741d8c4db70d0e8728db046f0

%global common_description %{expand:
Helper library for writing code that runs unmodified on both Twisted and
asyncio.}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        23.1.1
Release:        1%{?dist}
Summary:        Compatibility API between asyncio/Twisted/Trollius

License:        MIT
URL:            https://github.com/crossbario/txaio
Source0:        python-txaio-91dace6ad1ddef3741d8c4db70d0e8728db046f0.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Compatibility API between asyncio/Twisted/Trollius

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}
rm -rf %{pypi_name}.egg-info

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Feb 02 2023 James Marshall <jamarsha@redhat.com> 23.1.1-1
- Initial release
